<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <TextView
            android:id="@+id/tv_bottom"
            android:layout_width="match_parent"
            android:layout_height="48mm"
            android:layout_alignParentBottom="true"
            android:background="#5C768A"
            android:gravity="center"
            android:orientation="horizontal"
            android:text="提交退货申请"
            android:textColor="@color/white"
            android:textSize="16sp" />

        <androidx.core.widget.NestedScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_above="@id/tv_bottom"
            android:background="@color/white">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:paddingHorizontal="20mm"
                    android:paddingVertical="9mm">

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="vertical">

                        <TextView
                            android:id="@+id/tv_num"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="退货数量"
                            android:textSize="14sp" />

                        <TextView
                            android:id="@+id/tv_max_num"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="5mm"
                            android:text="*退货最大数量(0)"
                            android:textColor="@color/red"
                            android:textSize="10sp" />
                    </LinearLayout>


                    <EditText
                        android:id="@+id/et_num"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_marginLeft="10mm"
                        android:layout_weight="1"
                        android:background="@null"
                        android:gravity="right"
                        android:hint="输入数量"
                        android:inputType="numberDecimal"
                        android:padding="3mm"
                        android:textColor="@color/flexible_text_gray"
                        android:textSize="14sp" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/ll_type"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:paddingHorizontal="20mm"
                    android:paddingVertical="9mm">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="退货类别"
                        android:textSize="14sp" />

                    <TextView
                        android:id="@+id/tv_return_type"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10mm"
                        android:layout_weight="1"
                        android:background="@null"
                        android:gravity="right"
                        android:padding="3mm"
                        android:textColor="@color/flexible_text_gray"
                        android:textSize="14sp" />

                    <ImageView
                        android:id="@+id/iv_choose_type"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@mipmap/arrow_right_gray" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/ll_choose_stock"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:paddingHorizontal="20mm"
                    android:paddingVertical="9mm">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="退货到仓库"
                        android:textSize="14sp" />

                    <TextView
                        android:id="@+id/tv_stock"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10mm"
                        android:layout_weight="1"
                        android:background="@null"
                        android:gravity="right"
                        android:hint="请选择仓库"
                        android:padding="3mm"
                        android:textColor="@color/flexible_text_gray"
                        android:textSize="14sp" />

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@mipmap/arrow_right_gray" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/ll_money"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingHorizontal="20mm"
                    android:paddingVertical="9mm">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:layout_centerVertical="true"
                        android:text="填写核销金额"
                        android:textSize="14sp" />

                    <EditText
                        android:id="@+id/et_price"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10mm"
                        android:layout_weight="1"
                        android:background="@null"
                        android:gravity="right"
                        android:hint="填写核销金额"
                        android:inputType="numberDecimal"
                        android:padding="3mm"
                        android:textColor="@color/flexible_text_gray"
                        android:textSize="14sp" />
                </LinearLayout>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingHorizontal="20mm"
                    android:paddingVertical="10mm"
                    android:text="退货原因"
                    android:textSize="14sp" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="20mm"
                    android:background="@drawable/shape_confirm_order"
                    android:orientation="vertical">

                    <EditText
                        android:id="@+id/et_remark"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="3mm"
                        android:background="@null"
                        android:gravity="top"
                        android:hint="请输入"
                        android:minLines="4"
                        android:padding="5mm"
                        android:textSize="16sp" />

                    <TextView
                        android:id="@+id/tv_remark_num"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="right"
                        android:layout_margin="4mm"
                        android:text="0/140"
                        android:textColor="@color/flexible_text_gray" />
                </LinearLayout>
            </LinearLayout>
        </androidx.core.widget.NestedScrollView>


    </RelativeLayout>
</androidx.constraintlayout.widget.ConstraintLayout>